<?php
require_once('config.inc.php');

class FrontendXML {
	private $backend;
	private $pieces;
	private $status;
	private $lines = array();

	public function __construct($pieces) {
		$this->pieces = $pieces;
		$this->backend = new Backend();
	}

	function process() {
		global $defaultlines, $sources;

		// Params
		$id = isset($this->pieces[1]) ? $this->pieces[1] : "";
		$readlines = isset($_GET['lines']) ? $_GET['lines'] : $defaultlines;

		header("Content-type: text/xml");
		echo '<?xml version="1.0" encoding="UTF-8" ?>';
		echo '<remotelog>';

		if (empty($id)) {
			$this->status = array('error', 'Empty id');
		} elseif (!isset($sources[$id])) {
			$this->status = array('error', 'Inexistent id');
		} elseif ($sources[$id]['class'] == 'remote') {
			$this->status = array('error', 'Not local id');
		} else {
			$this->status = array('ok', 'Sending log lines...');
			$this->lines = $this->backend->readLocalLog($id, $readlines);
		}

		echo '<status code="'.$this->status[0].'"
			message="'.$this->status[1].'" />';
		foreach ($this->lines as $line) {
			echo "<line>".$line."</line>\n";
		}
		echo '</remotelog>';
	}

	function error() {
	}
	
}

?>
