<?php

class Highlight {
	public static function doHighlight($data, $syntax) {
		$ret = "";

		// Decide highlighting plugin
		$path = 'highlight/'.$syntax.'.php';
		if (file_exists($path)) {
			require_once($path);
			$highlightfunction = $syntax.'_highlight';
			if (!function_exists($highlightfunction)) {
				$ret = self::returnPlainText($data);
			} else {
				foreach ($data as $line) {
					$ret .= call_user_func($highlightfunction, $line).'<br />';
				}
			}

		} else {
			$ret = self::returnPlainText($data);
		}

		return $ret;
	}

	public static function returnPlainText($data) {
		$ret = '';

		foreach ($data as $line) {
			$ret .= $line.'<br />';
		}

		return $ret;
	}
}

?>
